Overview
GET
/billing/subscriptionsbillingList subscriptions
List subscriptions.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- userIdstring
- ecosystemIdstring
- tierIdstring
- statusstring
- sourcestring
- startedAtstring
- expiresAtstring?
- assignedBystring?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"userId": "string",
"ecosystemId": "string",
"tierId": "string",
"status": "string",
"source": "string",
"startedAt": "string",
"expiresAt": "string",
"assignedBy": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/billing/subscriptions" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/billing/subscriptions", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();